
singleton Material(SRT4_glass)
{
   mapTo = "SRT4_glass";
    reflectivityMap[0] = "vehicles/SRT4/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/SRT4/TXT/glass_base_2.dds";
    opacityMap[0] = "vehicles/SRT4/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/SRT4/TXT/glass_base_2.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SRT4_lights_glass)
{
   mapTo = "SRT4_lights_glass";
    reflectivityMap[0] = "vehicles/SRT4/TXT/glass_base.dds";
    diffuseMap[0] = "vehicles/SRT4/TXT/lights_trans.tga";
    opacityMap[0] = "vehicles/SRT4/TXT/glass_base.dds";
    diffuseMap[1] = "vehicles/SRT4/TXT/lights_trans.tga";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SRT4_glass_dmg)
{
    mapTo = "SRT4_glass_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/common/glass_base_2.dds";
    opacityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[1] = "vehicles/SRT4/cracks.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/SRT4/cracks_n.dds";
    normalMap[1] = "vehicles/SRT4/cracks_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SRT4_interior)
{
   mapTo = "SRT4_interior";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/salon.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/salon.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_engine)
{
   mapTo = "SRT4_engine";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/engine.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/engine.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_gauges)
{
   mapTo = "SRT4_gauges";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/digits.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/digits.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_seats)
{
   mapTo = "SRT4_seats";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/seat.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/seat.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_carpet)
{
   mapTo = "SRT4_carpet";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/carpet.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/carpet.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_trunk)
{
   mapTo = "SRT4_trunk";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/trunc.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/trunc.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_frame)
{
   mapTo = "SRT4_frame";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/under.tga";
   diffuseMap[1] = "vehicles/SRT4/TXT/under.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_caixa)
{
   mapTo = "SRT4_caixa";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/tuned/chrome1.png";
   diffuseMap[1] = "vehicles/SRT4/TXT/tuned/chrome1.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_caixa2)
{
   mapTo = "SRT4_caixa2";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/tuned/red.png";
   diffuseMap[1] = "vehicles/SRT4/TXT/tuned/red.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_caixa3)
{
   mapTo = "SRT4_caixa3";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/tuned/carvoado.png";
   diffuseMap[1] = "vehicles/SRT4/TXT/tuned/carvoado.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_mirrors)
{
   mapTo = "SRT4_mirrors";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/mirror_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(SRT4_chrome)
{
   mapTo = "SRT4_chrome";
   diffuseMap[0] = "vehicles/SRT4/TXT/remap.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(SRT4_darkgray)
{
   mapTo = "SRT4_darkgray";
   diffuseColor[0] = "1 1 1 0.1";
   specular[0] = "0.25 0.25 0.25 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/SRT4/TXT/gray.png";
   diffuseMap[1] = "vehicles/SRT4/TXT/gray.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(SRT4_chmsl)
{
   mapTo = "SRT4_chmsl";
};

singleton Material(SRT4_taillight)
{
   mapTo = "SRT4_taillight";
};

singleton Material(SRT4_taillight_L)
{
   mapTo = "SRT4_taillight_L";
};

singleton Material(SRT4_taillight_R)
{
   mapTo = "SRT4_taillight_R";
};

singleton Material(SRT4_highbeam)
{
   mapTo = "SRT4_highbeam";
};

singleton Material(SRT4_reverselight)
{
   mapTo = "SRT4_reverselight";
};

singleton Material(SRT4_lowbeam_L)
{
   mapTo = "SRT4_lowbeam_L";
};

singleton Material(SRT4_lowbeam_R)
{
   mapTo = "SRT4_lowbeam_R";
};

singleton Material(SRT4_foglight)
{
   mapTo = "SRT4_foglight";
};

singleton Material(SRT4_lights_misc)
{
   mapTo = "SRT4_lights_misc";
   diffuseMap[0] = "vehicles/SRT4/TXT/lights.tga";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(SRT4_lights)
{
   mapTo = "SRT4_lights";
   diffuseMap[0] = "vehicles/SRT4/TXT/vehiclelights128.png";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(SRT4_lights_on)
{
   mapTo = "SRT4_lights_on";
   diffuseMap[0] = "vehicles/SRT4/TXT/vehiclelightson128.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(SRT4_brakes_on)
{
   mapTo = "SRT4_brakes_on";
   diffuseMap[0] = "vehicles/SRT4/TXT/RED1.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(SRT4_signal_on)
{
   mapTo = "SRT4_signal_on";
   diffuseMap[0] = "vehicles/SRT4/TXT/orange.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(SRT4_signal_on_intense)
{
   mapTo = "SRT4_signal_on_intense";
   diffuseMap[0] = "vehicles/SRT4/TXT/orangeyellow.png";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(SRT4_lights2)
{
   mapTo = "SRT4_lights2";
   diffuseMap[0] = "vehicles/SRT4/TXT/lights.tga";
   diffuseColor[0] = "1 1 1 0.1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   doubleSided = "1";
};

singleton Material(SRT4_lights2_on)
{
   mapTo = "SRT4_lights2_on";
   diffuseMap[0] = "vehicles/SRT4/TXT/lights.tga";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(SRT4_gauges_on)
{
   mapTo = "SRT4_gauges_on";
   diffuseMap[0] = "vehicles/SRT4/TXT/digits.tga";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   doubleSided = "0";
   translucentZWrite = "0";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(sunburst)
{
   mapTo = "sunburst";
    diffuseMap[2] = "vehicles/sunburst/sunburst_c.dds";
    specularMap[2] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[2] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[1] = "vehicles/sunburst/sunburst_d.dds";
    specularMap[1] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[1] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst/sunburst_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
